/*
$Id: trend.inc 1.7 2006/10/16 13:39:04EDT Pathak, Pranjal (Pranjal Pathak) Dev  $
$ProjectName: d:/elect/source/device_descriptions/hart/lr460/pdm/lr460_hart_pdm.pj $   $Locker:  $
*/

#ifndef TREND_INC
#define TREND_INC
#endif

/*                                                       For Internal Use Only.
   Description ----------------------------------------------------------------
		 Secondary DD file.

         Copyright (C) Siemens-Milltronics Process Instruments Inc.
         All Rights Reserved.

   Warnings -------------------------------------------------------------------

   Special Revision Notes -----------------------------------------------------

   Defines --------------------------------------------------------------------*/

/* Include Files --------------------------------------------------------------*/
#include "trendopt.dd"

/* Collections ----------------------------------------------------------------*/

/* Relations ------------------------------------------------------------------*/

/* Variable Definitions -------------------------------------------------------*/
/*-----------------------------------------------------------------------------
   Description    
   Created by:
   Revised by:
 ------------------------------------------------------------------------------*/

/* Command Definitions --------------------------------------------------------*/
/*-----------------------------------------------------------------------------
   Description    
   Created by:
   Revised by:
 ------------------------------------------------------------------------------*/

/* Menu Definitions -----------------------------------------------------------*/
/*-----------------------------------------------------------------------------
   Description    
   Created by:
   Revised by:
 ------------------------------------------------------------------------------*/
MENU OnlineDialog_trend
{
   LABEL  [trend_menu_trend_label];
   ACCESS ONLINE;
   STYLE_DIALOG
   ITEMS
   {
      group_trend_parameters,      
#ifdef EDDL_SUPPORT
      chart_trend,
#endif
      #ifdef SHOWTREND_INC
      group_save_trend
      #endif
   }
}

MENU group_trend_parameters
{
   STYLE_GROUP
   ITEMS
   {
      TREND_LEVEL_VALUE(READ_ONLY),
      TREND_DISTANCE_VALUE(READ_ONLY)
   }
}   

/* Visual component Definitions -----------------------------------------------*/
/*-----------------------------------------------------------------------------
   Description: Displays graph area, content is referenced from here   
   Created by:
   Revised by:
 ------------------------------------------------------------------------------*/
#ifdef EDDL_SUPPORT
CHART chart_trend 
{
   LABEL  [trend_menu_trend_label];
   TYPE   STRIP;
   CYCLE_TIME 1000 ;  //milliseconds
   MEMBERS 
   {
      SOURCE_TREND_LEVEL, source_trend_level;
   }
   WIDTH  LARGE;
   HEIGHT LARGE;
}

SOURCE source_trend_level 
{
   Y_AXIS axis_trend_y_level;
   MEMBERS 
   {
      LEVEL, TREND_LEVEL_VALUE;
   }
   #ifdef SHOWTREND_INC
   INIT_ACTIONS
   {
      method_trend_save_init
   }
   REFRESH_ACTIONS
   {
      method_trend_save_save_data 
   }
   EXIT_ACTIONS
   {
      method_trend_save_stop
   }
   #endif
}

AXIS axis_trend_y_level
{
    LABEL         [func_out_value];
    MIN_VALUE     TREND_LEVEL_LRV;  
    MAX_VALUE     TREND_LEVEL_URV;   
    CONSTANT_UNIT TREND_LEVEL_UNITS(TREND_LEVEL_UNITS);
}
#endif


/* Method Definitions ---------------------------------------------------------*/
/*-----------------------------------------------------------------------------
   Description    
   Created by:
   Revised by:
 ------------------------------------------------------------------------------*/
METHOD method_menu_trend
{
   LABEL  [trend_menu_trend_label];
   DEFINITION
   {  
      long result;
      
      MenuDisplay(OnlineDialog_trend, dictionary_string(close_button_label), result);
      
      #ifdef SHOWTREND_INC
      method_trend_save_stop();
      #endif
   }
} 

/*-----------------------------------------------------------------------------
                                                         For Internal Use Only.
      Copyright (C) Siemens-Milltronics Process Instruments Inc.
      All Rights Reserved.

End of file -------------------------------------------------------------------*/




